aboutsummaryrefslogtreecommitdiffstats
path: root/sdc-os-chef/scripts/k8s/install_helm.sh
diff options
context:
space:
mode:
Diffstat (limited to 'sdc-os-chef/scripts/k8s/install_helm.sh')
-rw-r--r--sdc-os-chef/scripts/k8s/install_helm.sh20
1 files changed, 20 insertions, 0 deletions
diff --git a/sdc-os-chef/scripts/k8s/install_helm.sh b/sdc-os-chef/scripts/k8s/install_helm.sh
new file mode 100644
index 0000000000..a3681d033a
--- /dev/null
+++ b/sdc-os-chef/scripts/k8s/install_helm.sh
@@ -0,0 +1,20 @@
+#!/bin/sh
+
+curl_status=$(curl -w '%{http_code}\n' https://raw.githubusercontent.com/kubernetes/helm/master/scripts/get -o get_helm.sh)
+
+echo $curl_status
+
+if [ ${curl_status} != 200 ]; then
+ echo "[ERROR] Download get_helm failed - $curl_status"
+ exit -1
+fi
+
+chmod 700 get_helm.sh
+
+echo "[INFO] Running get helm"
+./get_helm.sh --version v2.7.2
+
+if [ $? != 0 ]; then
+ echo "[ERROR] failed to run get_helm"
+fi
+